package leigh.elements.javafx.type1;

import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import leigh.elements.sdk.AppScreenInstance;
import leigh.elements.sdk.type1.HorizontalLayoutElement;
import leigh.eo.EO;
import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;

public class HorizontalLayoutElementJFX extends LayoutElementJFX {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(HorizontalLayoutElementJFX.class);

    protected HorizontalLayoutElementJFX(EO cfg, AppScreenInstance screen) {
        super(cfg, screen);
        buildChildren(HorizontalLayoutElement.KEY_CONTENT);
    }

    @Override
    public Pane getPane() {
        return new HBox();
    }
}
